# XQilla Simple API Documentation

# XercesConfiguration Class Reference

`#include <XercesConfiguration.hpp>`

Inheritance diagram for XercesConfiguration:
[legend]

List of all members.

## Public Member Functions

virtual DocumentCache * | createDocumentCache (xercesc::MemoryManager *memMgr)
virtual SequenceBuilder * | createSequenceBuilder (const DynamicContext *context)
virtual ItemFactory * | createItemFactory (DocumentCache *cache, xercesc::MemoryManager *memMgr)
virtual UpdateFactory * | createUpdateFactory (xercesc::MemoryManager *memMgr)
virtual URIResolver * | createDefaultURIResolver (xercesc::MemoryManager *memMgr)
virtual ASTToXML * | createASTToXML ()
virtual Node::Ptr | createNode (const xercesc::DOMNode *node, const DynamicContext *context) const

## Static Public Attributes

static const XMLCh | gXerces []
| The "Xerces" DOMNode node interface.

## Member Function Documentation

virtual ASTToXML* XercesConfiguration::createASTToXML | ( |  | ) | `[virtual]`

Implements XQillaConfiguration.

virtual URIResolver* XercesConfiguration::createDefaultURIResolver | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

virtual DocumentCache* XercesConfiguration::createDocumentCache | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

virtual ItemFactory* XercesConfiguration::createItemFactory | ( | DocumentCache * | cache,
|  | xercesc::MemoryManager * | memMgr |
| ) |  |  | `[virtual]`

Implements XQillaConfiguration.

virtual Node::Ptr XercesConfiguration::createNode | ( | const xercesc::DOMNode * | node,
|  | const DynamicContext * | context |
| ) |  |  | const`[virtual]`

virtual SequenceBuilder* XercesConfiguration::createSequenceBuilder | ( | const DynamicContext * | context | ) | `[virtual]`

Implements XQillaConfiguration.

virtual UpdateFactory* XercesConfiguration::createUpdateFactory | ( | xercesc::MemoryManager * | memMgr | ) | `[virtual]`

Implements XQillaConfiguration.

## Member Data Documentation

const XMLCh XercesConfiguration::gXerces[]`[static]`

The "Xerces" DOMNode node interface.

Use this as the parameter when you call Item::getInterface() to have a xerces DOMNode returned, if the Node is of the correct type. If it is not of the correct type, the method will return 0.

The documentation for this class was generated from the following file:

- XercesConfiguration.hpp